Package org.apache.sling.commons.log.logback.webconsole

# Class TailerOptions

java.lang.Object
org.apache.sling.commons.log.logback.webconsole.TailerOptions

public final class TailerOptions extends Object
Encapsulates the options for tailing a log file

## Constructor Summary

Constructors
Constructor
Description
`TailerOptions(int numOfLines, String regex)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumOfLines()`
Get the number of lines to include
`String`
`getRegex()`
Gets the pattern to match
`boolean`
`tailAll()`
Returns if all lines should be included

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TailerOptions

public TailerOptions(int numOfLines, String regex)
Constructor

Parameters:
  `numOfLines` - the number of lines to include (or a negative number for all)
  `regex` - pattern used to filter line. If null or "*" then all lines would be included. Regex can be simple string also. In that case search would be done in a case insensitive way

## Method Details

### tailAll

public boolean tailAll()
Returns if all lines should be included

Returns:
  true to tail all lines or false otherwise

### getNumOfLines

public int getNumOfLines()
Get the number of lines to include

Returns:
  the number of lines to include (or a negative number for all)

### getRegex

public String getRegex()
Gets the pattern to match

Returns:
  pattern used to filter line. If null or "*" then all lines would be included. Regex can be simple string also. In that case search would be done in a case insensitive way